<?php
defined('_JEXEC') or  die( 'Direct Access to '.basename(__FILE__).' is not allowed.' );
/*
*Extended Cart Ajax Module for VirtueMart
*
* @version $Id: mod_vm_cart_ext.php 
* @author      degoist Media Solutions
* @copyright   (C) 2020 degoist Media Solutions. All rights reserved.
* @license     http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
*/

use Joomla\CMS\Factory;
$document = Factory::getDocument();
if (!$params->get('style_sheet')) {
	$document->addStyleSheet("/modules/mod_vm_cart_ext/css/mod_vm_cart_ext.css");
}
else {
	$stylesheet = $params->get('style_sheet');
	$document->addStyleSheet('/modules/mod_vm_cart_ext/css/'.$stylesheet);
}

if (!class_exists( 'VmConfig' )) require(JPATH_ROOT .'/administrator/components/com_virtuemart/helpers/config.php');
VmConfig::loadConfig();
vmLanguage::loadJLang('mod_vm_cart_ext', true);
vmLanguage::loadJLang('com_virtuemart', true);
vmJsApi::jQuery();


vmJsApi::addJScript("/modules/mod_vm_cart_ext/assets/js/update_cart.js",false,false);
vmJsApi::addJScript("/modules/mod_vm_cart_ext/assets/js/delete_product.js",false,false);

$cart = VirtueMartCart::getCart(false);
$viewName = vRequest::getString('view',0);
if($viewName=='cart'){
	$checkAutomaticPS = true;
} else {
	$checkAutomaticPS = false;
}
$data = $cart->prepareAjaxData($withProductImages=true);
$currencyDisplay = CurrencyDisplay::getInstance( );
vmJsApi::cssSite();

//Classic options
$moduleclass_sfx 	= $params->get('moduleclass_sfx', '');
$show_price 		= (bool)$params->get( 'show_price', 1 ); // Display the Product Price?
$show_product_list 	= (bool)$params->get( 'show_product_list', 1 ); // Display the Product List?

//Extended options
$show_product_remove 	= (bool)$params->get( 'show_product_remove', 1 ); // Display remove button?
$show_product_total 	= (bool)$params->get( 'show_product_total', 1 ); // Display total number of products beside icon?
$show_product_images 	= (bool)$params->get( 'show_product_images', 1 ); // Display product images?

//Styling options
$show_cart_button		= (bool)$params->get( 'show_cart_button', 1 ); // Display the module as button?
$show_cart_as			= $params->get( 'show_cart_as', 1 ); // Display the cart text as label, icon or both?
$cart_label_text		= $params->get( 'cart_label_text', 'Shopping cart' ); //Text for the cart label.
$cart_button_color 		= $params->get( 'cart_button_color', '' ); // Choose color for button
$cart_button_hover_color= $params->get( 'cart_button_hover_color', '' ); // Choose hover color for button
$cart_iconlabel_color 	= $params->get( 'cart_iconlabel_color', '' ); // Choose color for icon and label

$background_color 		= $params->get( 'background_color', '' ); // Choose bg color for dropdown
$text_color 			= $params->get( 'text_color', '' ); // Choose text color for dropdown
$prod_bg_color 			= $params->get( 'prod_bg_color', '' ); // Choose background color for product row
$prod_text_color 		= $params->get( 'prod_text_color', '' ); // Choose text color for product row
$prod_link_color 		= $params->get( 'prod_link_color', '' ); // Choose link color for product row
$prod_link_hover_color 	= $params->get( 'prod_link_hover_color', '' ); // Choose link hover color for product row
$cartlink_button_color 		= $params->get( 'cartlink_button_color', '' ); // Choose the color of the Show Cart button
$cartlink_button_hover_color = $params->get( 'cartlink_button_hover_color', '' ); // Choose the hover color of the Show Cart button
$round_border 			= $params->get( 'round_border',''); // Choose box border radius
require JModuleHelper::getLayoutPath('mod_vm_cart_ext', $params->get('layout', 'default'));
echo vmJsApi::writeJS();
 ?>